
#include <Wire.h>
#include <TM1650.h>

volatile int count_;
volatile boolean item;

void attachInterrupt_fun_2() {
  item = !item;
}

TM1650 ruilong_4display;

void setup(){
  count_ = 0;
  item = 0;
  pinMode(2, INPUT_PULLUP);
  attachInterrupt(digitalPinToInterrupt(2),attachInterrupt_fun_2,FALLING);
  Wire.begin();
  ruilong_4display.init();
  pinMode(8, OUTPUT);
}

void loop(){
  if (!item) {
    count_ = (map(analogRead(A0), 0, 1023, 1, 99)) * 100;
    ruilong_4display.displayString(count_);
    ruilong_4display.setDot(1,true);
    delay(500);
    ruilong_4display.clear();
    delay(500);

  } else {
    for (int i = (1); i <= (count_); i = i + (1)) {
      ruilong_4display.displayString((count_ - i));
      ruilong_4display.setDot(1,true);
      delay(10);
    }
    for (int i = 1; i <= 10; i = i + (1)) {
      ruilong_4display.displayString("0000");
      ruilong_4display.setDot(1,true);
      digitalWrite(8,HIGH);
      delay(500);
      ruilong_4display.clear();
      digitalWrite(8,LOW);
      delay(500);
    }
    item = false;

  }

}