
#include <PinChangeInt.h>
#include <Wire.h>
#include <LiquidCrystal_I2C.h>

volatile boolean item;

void attachPinInterrupt_fun_2() {
  item = !item;
}

LiquidCrystal_I2C mylcd(0x27,16,2);

void setup(){
  item = false;
  pinMode(2, INPUT);
  PCintPort::attachInterrupt(2,attachPinInterrupt_fun_2,FALLING);
  mylcd.init();
  mylcd.backlight();
  Serial.begin(9600);
}

void loop(){
  mylcd.setCursor(0, 0);
  mylcd.print("Hi.ruilongmaker");
  mylcd.setCursor(0, 1);
  mylcd.print("");
  if (item) {
    Serial.println(analogRead(A0));
    analogWrite(5,(map(analogRead(A0), 0, 1023, 0, 255)));
    mylcd.setCursor(1-1, 2-1);
    mylcd.print(analogRead(A0));
    delay(1000);

  } else {
    analogWrite(5,0);

  }

}