
#include <PinChangeInt.h>

volatile long starttime;
volatile boolean item;
volatile int hz;

void attachPinInterrupt_fun_2() {
  item = true;
}

void attachPinInterrupt_fun_3() {
  item = false;
}

float period;
float pulse;
void newtone(int tonePin, int frequency, int duration)
{
float period = 1000000.0 /frequency;
float pulse = period / 2.0;
for (int i=1; i<=((duration * 1000.0)/period);i=i+1)
 {
pinMode(tonePin, OUTPUT);
 digitalWrite(tonePin,HIGH);
delayMicroseconds(pulse);
pinMode(tonePin, OUTPUT);
 digitalWrite(tonePin,LOW);
 delayMicroseconds(pulse);
}
}

void sound() {
  for (int i = 0; i <= 179; i = i + (1)) {
    hz = 2000 + round(sin(i / 180.0 * 3.14159) * 1000);
    newtone(5,hz,10);
  }
}

void setup(){
  starttime = 0;
  item = false;
  hz = 0;
  pinMode(2, INPUT);
  pinMode(3, INPUT);
  PCintPort::attachInterrupt(2,attachPinInterrupt_fun_2,RISING);
  PCintPort::attachInterrupt(3,attachPinInterrupt_fun_3,FALLING);
  pinMode(5, OUTPUT);
  pinMode(9, OUTPUT);
}

void loop(){
  if (item) {
    starttime = millis();
    while (item) {
      sound();
      digitalWrite(9,HIGH);
    }

  } else {
    item = false;
    digitalWrite(9,LOW);

  }

}