
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include <NewTone.h>

volatile int distance;
volatile int time;

LiquidCrystal_I2C mylcd(0x27,16,2);
float checkdistance_3_2() {
  digitalWrite(3, LOW);
  delayMicroseconds(2);
  digitalWrite(3, HIGH);
  delayMicroseconds(10);
  digitalWrite(3, LOW);
  float distance = pulseIn(2, HIGH) / 58.00;
  delay(10);
  return distance;
}

void setup(){
  distance = 0;
  time = 0;
  mylcd.init();
  mylcd.backlight();
  pinMode(3, OUTPUT);
  pinMode(2, INPUT);

  pinMode(6, OUTPUT);
}

void loop(){
  mylcd.setCursor(0, 0);
  mylcd.print("Hi.ruilongmaker");
  mylcd.setCursor(0, 1);
  mylcd.print("");
  distance = checkdistance_3_2();
  if (distance < 50) {
    time = (map(distance, 3, 50, 30, 1023));
    mylcd.setCursor(1-1, 2-1);
    mylcd.print(checkdistance_3_2());
    NewTone(6,587,time);
    delay(time);

  }

}