
#include <PinChangeInt.h>

volatile boolean item;
volatile int hz;

void attachPinInterrupt_fun_2() {
  item = true;
}

void attachPinInterrupt_fun_3() {
  item = false;
}

void sound() {
  for (int i = 1; i <= 180; i = i + (1)) {
    hz = 2000 + round(sin(i / 180.0 * 3.14159) * 1000);
    tone(5,hz);
    delay(10);
  }
}

void setup(){
  item = false;
  hz = 0;
  pinMode(2, INPUT);
  pinMode(3, INPUT);
  PCintPort::attachInterrupt(2,attachPinInterrupt_fun_2,RISING);
  PCintPort::attachInterrupt(3,attachPinInterrupt_fun_3,FALLING);
  pinMode(5, OUTPUT);
  pinMode(9, OUTPUT);
}

void loop(){
  if (item) {
    while (item) {
      sound();
      digitalWrite(9,(!digitalRead(9)));
      delay(10);
    }

  } else {
    item = false;
    noTone(5);
    digitalWrite(9,LOW);

  }

}