
#include <Adafruit_NeoPixel.h>

Adafruit_NeoPixel  rgb_display_13(4,13, NEO_GRB + NEO_KHZ800);
uint32_t Wheel(byte WheelPos){
  if(WheelPos < 85){
    return rgb_display_13.Color(WheelPos * 3, 255 - WheelPos * 3, 0);
  }
  else if(WheelPos < 170){
    WheelPos -= 85;
    return rgb_display_13.Color(255 - WheelPos * 3, 0, WheelPos * 3);
  }
  else{
    WheelPos -= 170;return rgb_display_13.Color(0, WheelPos * 3, 255 - WheelPos * 3);
  }
}

void setup(){
  rgb_display_13.begin();
  Serial.begin(9600);
}

void loop(){
  Serial.println(analogRead(A0));
  for(int RGB_RAINBOW_i = 0; RGB_RAINBOW_i < rgb_display_13.numPixels(); RGB_RAINBOW_i++){
    rgb_display_13.setPixelColor(RGB_RAINBOW_i, Wheel(((RGB_RAINBOW_i * 256 / rgb_display_13.numPixels()) + (map(analogRead(A0), 0, 1023, 0, 255))) & 255));
  }
  rgb_display_13.show();
  delay(10);

}