
#include <PinChangeInt.h>
#include <Wire.h>
#include <LiquidCrystal_I2C.h>

volatile boolean item;
volatile int time;
volatile int shi;
volatile int ge;

void attachPinInterrupt_fun_3() {
  item = !item;
}

LiquidCrystal_I2C mylcd(0x27,16,2);

void setup(){
  item = false;
  time = 0;
  shi = 0;
  ge = 0;
  pinMode(3, INPUT);
  PCintPort::attachInterrupt(3,attachPinInterrupt_fun_3,RISING);
  pinMode(2, INPUT);
  pinMode(5, OUTPUT);
  mylcd.init();
  mylcd.backlight();
}

void loop(){
  if (!digitalRead(2)) {
    delay(10);
    if (!digitalRead(2)) {
      while (time > 0) {
        time--;
        for (int i = 1; i <= 60; i = i + (1)) {
          mylcd.setCursor(1-1, 2-1);
          mylcd.print(String(String((time / 10)) + String(((long) (time) % (long) (10)))) + String(":00"));
          mylcd.setCursor(4-1, 2-1);
          mylcd.print(String(((60 - i) / 10)) + String(((long) ((60 - i)) % (long) (10))));
          delay(1000);
          if (item == true) {
            break;

          }
        }
        if (item == true) {
          break;

        }
      }
      for (int i = 1; i <= 10; i = i + (1)) {
        if (item == true) {
          break;

        }
        digitalWrite(5,HIGH);
        delay(50);
        digitalWrite(5,LOW);
        delay(50);
      }

    }
    while (!digitalRead(2)) {
    }

  }
  if (item) {
    mylcd.setCursor(1-1, 2-1);
    mylcd.print("00:00");
    time = 0;
    item = false;

  }

  time = (map(analogRead(A0), 1, 1023, 1, 60));
  mylcd.setCursor(0, 0);
  mylcd.print("Hi..ruilongmaker");
  mylcd.setCursor(0, 1);
  mylcd.print("");
  mylcd.setCursor(1-1, 2-1);
  mylcd.print(String(String((time / 10)) + String(((long) (time) % (long) (10)))) + String(":00"));

}