
#include <IRremote.h>

long ir_item;
IRrecv irrecv_5(5);
decode_results results_5;

void setup(){
  Serial.begin(9600);
  irrecv_5.enableIRIn();
}

void loop(){
  if (irrecv_5.decode(&results_5)) {
    ir_item=results_5.value;
    String type="UNKNOWN";
    String typelist[18]={"UNUSED", "RC5", "RC6", "NEC", "SONY", "PANASONIC", "JVC", "SAMSUNG", "WHYNTER", "AIWA_RC_T501", "LG", "SANYO", "MITSUBISHI", "DISH", "SHARP", "DENON", "PRONTO", "LEGO_PF"};
    if(results_5.decode_type>=1&&results_5.decode_type<=17){
      type=typelist[results_5.decode_type];
    }
    Serial.println("IR TYPE:"+type+"  ");
    Serial.print(ir_item,HEX);
    switch (ir_item) {
     case 0xff6897:
      analogWrite(6,0);
      break;
     case 0xff30cf:
      analogWrite(6,50);
      break;
     case 0xff18e7:
      analogWrite(6,100);
      break;
     case 0xff7a85:
      analogWrite(6,150);
      break;
     case 0xff10ef:
      analogWrite(6,200);
      break;
     case 0xff38c7:
      analogWrite(6,255);
      break;
    }
    irrecv_5.resume();
  } else {
  }

}