
#include <PinChangeInt.h>

volatile boolean speed;
volatile float pinlv;
volatile float time;
float jizhun[]={1046.5,1174.7,1318.5,1396.9,1568,1760,1975.5};

int yinfu[]={3,3,5,6,1,1,6,5,5,6,5,3,3,5,6,1,1,6,5,5,6,5,5,5,5,3,5,6,6,5,3,2,3,5,3,2,1,1,2,1};

int yindiao[]={0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};

float jiepai[]={1,0.5,0.5,0.5,0.5,0.5,0.5,1,0.5,0.5,2,1,0.5,0.5,0.5,0.5,0.5,1,0.5,0.5,2,1,1,1,0.5,0.5,1,1,2,1,0.5,0.5,1,0.5,0.5,1,0.5,0.5,1};

void attachPinInterrupt_fun_2() {
  speed = !speed;
}

float mapfloat(float x, float in_min, float in_max, float out_min, float out_max)
{
  return (x - in_min) * (out_max - out_min) / (in_max - in_min) + out_min;
}
void music() {
  for (int i = (1); i <= (sizeof(yinfu)/sizeof(yinfu[0])); i = i + (1)) {
    pinlv = jizhun[(int)(yinfu[(int)(i - 1)] - 1)] * pow(2, yindiao[(int)(i - 1)]);
    time = 500 * jiepai[(int)(i - 1)];
    analogWrite(9,(mapfloat(pinlv, 1040, 2100, 20, 255)));
    tone(6,pinlv);
    delay(time);
    noTone(6);
    analogWrite(9,0);
    delay(10);
    if (!speed) {
      break;

    }
  }
}

void setup(){
  speed = false;
  pinlv = 0;
  time = 0;
  pinMode(2, INPUT);
  PCintPort::attachInterrupt(2,attachPinInterrupt_fun_2,FALLING);
  pinMode(6, OUTPUT);
}

void loop(){
  if (speed) {
    music();

  }

}