
#include <Wire.h>
#include <TM1650.h>

volatile int distance;

TM1650 ruilong_4display;
float checkdistance_3_2() {
  digitalWrite(3, LOW);
  delayMicroseconds(2);
  digitalWrite(3, HIGH);
  delayMicroseconds(10);
  digitalWrite(3, LOW);
  float distance = pulseIn(2, HIGH) / 58.00;
  delay(10);
  return distance;
}

void setup(){
  distance = 0;
  Wire.begin();
  ruilong_4display.init();
  pinMode(3, OUTPUT);
  pinMode(2, INPUT);

  pinMode(5, OUTPUT);
  pinMode(10, OUTPUT);
  pinMode(13, OUTPUT);
}

void loop(){
  ruilong_4display.clear();
  distance = checkdistance_3_2();
  ruilong_4display.displayString(distance);
  delay(100);
  if (distance < 30) {
    digitalWrite(5,HIGH);
    digitalWrite(10,LOW);
    digitalWrite(13,HIGH);

  } else {
    digitalWrite(5,LOW);
    digitalWrite(10,HIGH);
    digitalWrite(13,LOW);

  }

}