
#include <U8g2lib.h>
#include <Wire.h>

U8G2_SSD1306_128X64_NONAME_1_HW_I2C u8g2(U8G2_R0, U8X8_PIN_NONE);
volatile float temp;

void page1() {
  u8g2.setFont(u8g2_font_timR10_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(0,20);
  u8g2.print(temp);
  u8g2.setCursor(0,40);
  u8g2.print("wear a down jacket");
}

void page2() {
  u8g2.setFont(u8g2_font_timR10_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(0,20);
  u8g2.print(temp);
  u8g2.setCursor(0,40);
  u8g2.print("wear a jacket");
}

void page3() {
  u8g2.setFont(u8g2_font_timR10_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(0,20);
  u8g2.print(temp);
  u8g2.setCursor(0,40);
  u8g2.print("wear a T-shirt");
}

void setup(){
  u8g2.setI2CAddress(0x3C*2);
  u8g2.begin();
  temp = 0;
  u8g2.enableUTF8Print();

  Serial.begin(9600);
}

void loop(){
  temp = analogRead(A0)*0.488;
  Serial.println(temp);
  if (temp < 15) {
    u8g2.firstPage();
    do
    {
      page1();
    }while(u8g2.nextPage());

  } else if (temp >= 15 && temp < 25) {
    u8g2.firstPage();
    do
    {
      page2();
    }while(u8g2.nextPage());
  } else if (temp >= 25) {
    u8g2.firstPage();
    do
    {
      page3();
    }while(u8g2.nextPage());
  }

}