#include<RL_Voice68.h>

VOICE_68 voice_5(5);
#include <Wire.h>
#include <LiquidCrystal_I2C.h>

volatile int guangxian;
volatile int qian;
volatile int bai;
volatile int shi;
volatile int ge;

LiquidCrystal_I2C mylcd(0x27,16,2);
void dushu(int num) {
  switch (num) {
   case 0:
    voice_5.send_data(0x2C); //volume control 0xE0-E7;
    delay(500);
    break;
   case 1:
    voice_5.send_data(0x23); //volume control 0xE0-E7;
    delay(500);
    break;
   case 2:
    voice_5.send_data(0x24); //volume control 0xE0-E7;
    delay(500);
    break;
   case 3:
    voice_5.send_data(0x25); //volume control 0xE0-E7;
    delay(500);
    break;
   case 4:
    voice_5.send_data(0x26); //volume control 0xE0-E7;
    delay(500);
    break;
   case 5:
    voice_5.send_data(0x27); //volume control 0xE0-E7;
    delay(500);
    break;
   case 6:
    voice_5.send_data(0x28); //volume control 0xE0-E7;
    delay(500);
    break;
   case 7:
    voice_5.send_data(0x29); //volume control 0xE0-E7;
    delay(500);
    break;
   case 8:
    voice_5.send_data(0x2A); //volume control 0xE0-E7;
    delay(500);
    break;
   case 9:
    voice_5.send_data(0x2B); //volume control 0xE0-E7;
    delay(500);
    break;
  }
}

void setup(){
  guangxian = 0;
  qian = 0;
  bai = 0;
  shi = 0;
  ge = 0;
  mylcd.init();
  mylcd.backlight();
  voice_5.begin();
}

void loop(){
  guangxian = analogRead(A0);
  mylcd.setCursor(0, 0);
  mylcd.print("Hi..ruilongmaker");
  mylcd.setCursor(0, 1);
  mylcd.print("");
  qian = (long) ((guangxian / 1000)) % (long) (10);
  bai = (long) ((guangxian / 100)) % (long) (10);
  shi = (long) ((guangxian / 10)) % (long) (10);
  ge = (long) ((guangxian / 1)) % (long) (10);
  mylcd.setCursor(1-1, 2-1);
  mylcd.print(String(String(String(String("light:") + String(qian)) + String(bai)) + String(shi)) + String(ge));
  voice_5.send_data(0x2D); //volume control 0xE0-E7;
  delay(500);
  voice_5.send_data(0x34); //volume control 0xE0-E7;
  delay(500);
  if (qian) {
    dushu(qian);
    voice_5.send_data(0x20); //volume control 0xE0-E7;
    delay(500);

  }
  if (bai) {
    dushu(bai);
    voice_5.send_data(0x21); //volume control 0xE0-E7;
    delay(500);

  }
  if (shi) {
    dushu(shi);
    voice_5.send_data(0x22); //volume control 0xE0-E7;
    delay(500);

  }
  if (ge) {
    dushu(ge);

  }

}