#include<RL_Voice68.h>

VOICE_68 voice_4(4);
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include <DHT.h>

volatile int wendu;
volatile int shidu;
volatile int wendu_shi;
volatile int wendu_ge;
volatile int shidu_shi;
volatile int shidu_ge;
DHT dhtA2(A2, 11);

void dushu(int num) {
  switch (num) {
   case 0:
    voice_4.send_data(0x2C); //volume control 0xE0-E7;
    delay(500);
    break;
   case 1:
    voice_4.send_data(0x23); //volume control 0xE0-E7;
    delay(500);
    break;
   case 2:
    voice_4.send_data(0x24); //volume control 0xE0-E7;
    delay(500);
    break;
   case 3:
    voice_4.send_data(0x25); //volume control 0xE0-E7;
    delay(500);
    break;
   case 4:
    voice_4.send_data(0x26); //volume control 0xE0-E7;
    delay(500);
    break;
   case 5:
    voice_4.send_data(0x27); //volume control 0xE0-E7;
    delay(500);
    break;
   case 6:
    voice_4.send_data(0x28); //volume control 0xE0-E7;
    delay(500);
    break;
   case 7:
    voice_4.send_data(0x29); //volume control 0xE0-E7;
    delay(500);
    break;
   case 8:
    voice_4.send_data(0x2A); //volume control 0xE0-E7;
    delay(500);
    break;
   case 9:
    voice_4.send_data(0x2B); //volume control 0xE0-E7;
    delay(500);
    break;
  }
}

LiquidCrystal_I2C mylcd(0x27,16,2);

void setup(){
  voice_4.begin();
  wendu = 0;
  shidu = 0;
  wendu_shi = 0;
  wendu_ge = 0;
  shidu_shi = 0;
  shidu_ge = 0;
  mylcd.init();
  mylcd.backlight();
  voice_4.send_data(0x2D); //volume control 0xE0-E7;
  delay(600);
  mylcd.setCursor(0, 0);
  mylcd.print("Hi.ruilongmaker");
  mylcd.setCursor(0, 1);
  mylcd.print("");
   dhtA2.begin();
}

void loop(){
  wendu = dhtA2.readTemperature();
  shidu = dhtA2.readHumidity();
  mylcd.setCursor(3-1, 2-1);
  mylcd.print(String(String(wendu, DEC)) + String(".C"));
  mylcd.setCursor(11-1, 2-1);
  mylcd.print(String(String(shidu, DEC)) + String("%"));

  wendu_shi = wendu / 10;
  wendu_ge = (long) (wendu) % (long) (10);
  voice_4.send_data(0x2D); //volume control 0xE0-E7;
  delay(600);
  voice_4.send_data(0x38); //volume control 0xE0-E7;
  delay(600);
  voice_4.send_data(0x34); //volume control 0xE0-E7;
  delay(600);
  if (wendu_shi) {
    dushu(wendu_shi);
    voice_4.send_data(0x22); //volume control 0xE0-E7;
    delay(600);

  }
  if (wendu_ge) {
    dushu(wendu_ge);

  }

  shidu_shi = shidu / 10;
  shidu_ge = (long) (shidu) % (long) (10);
  voice_4.send_data(0x39); //volume control 0xE0-E7;
  delay(600);
  voice_4.send_data(0x34); //volume control 0xE0-E7;
  delay(600);
  if (shidu_shi) {
    dushu(shidu_shi);
    voice_4.send_data(0x22); //volume control 0xE0-E7;
    delay(600);

  }
  if (shidu_ge) {
    dushu(shidu_ge);

  }
  delay(1000);

}