
#include <OneButton.h>
#include <Wire.h>
#include <LiquidCrystal_I2C.h>

volatile int count;
volatile int shi;
volatile int ge;
OneButton button2(2,true);

LiquidCrystal_I2C mylcd(0x27,16,2);
void attachDoubleClick2() {
  while (count > 0) {
    mylcd.clear();
    mylcd.setCursor(0, 0);
    mylcd.print("Hi..ruilongmaker");
    mylcd.setCursor(0, 1);
    mylcd.print("");
    count = count - 1;
    mylcd.setCursor(1-1, 2-1);
    mylcd.print(String("time:") + String(String(String((count / 10)) + String(((long) (count) % (long) (10)))) + String(":00")));
    for (int i = 1; i <= 60; i = i + (1)) {
      mylcd.setCursor(9-1, 2-1);
      mylcd.print(String(((60 - i) / 10)) + String(((long) ((60 - i)) % (long) (10))));
      delay(1000);
    }
  }
  for (int i = 1; i <= 10; i = i + (1)) {
    digitalWrite(5,HIGH);
    delay(50);
    digitalWrite(5,LOW);
    delay(50);
  }
}

void attachClick2() {
  count++;
  shi = count / 10;
  ge = (long) (count) % (long) (10);
  mylcd.clear();
  mylcd.setCursor(0, 0);
  mylcd.print("Hi..ruilongmaker");
  mylcd.setCursor(0, 1);
  mylcd.print("");
  mylcd.setCursor(1-1, 2-1);
  mylcd.print(String("time:") + String(String(String(shi) + String(ge)) + String(":00")));
}

void setup(){
  count = 0;
  shi = 0;
  ge = 0;
  button2.attachDoubleClick(attachDoubleClick2);
  mylcd.init();
  mylcd.backlight();
  pinMode(5, OUTPUT);
  button2.attachClick(attachClick2);
}

void loop(){
  button2.tick();
  mylcd.setCursor(0, 0);
  mylcd.print("Hi..ruilongmaker");
  mylcd.setCursor(0, 1);
  mylcd.print("");

  button2.tick();
}