
#include <U8g2lib.h>
#include <Wire.h>
#include <Adafruit_NeoPixel.h>

U8G2_SSD1306_128X64_NONAME_1_HW_I2C u8g2(U8G2_R0, U8X8_PIN_NONE);
volatile int item;

Adafruit_NeoPixel  rgb_ruilong_5(4,5, NEO_GRB + NEO_KHZ800);
void page1() {
  u8g2.setFont(u8g2_font_timR08_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(0,20);
  u8g2.print("Reward a pen");
}

void page2() {
  u8g2.setFont(u8g2_font_timR08_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(0,20);
  u8g2.print("Reward a Book");
}

void page3() {
  u8g2.setFont(u8g2_font_timR08_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(0,20);
  u8g2.print("Reward stationery");
}

void page4() {
  u8g2.setFont(u8g2_font_timR08_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(0,20);
  u8g2.print(" There is no reward");
}

void setup(){
  u8g2.setI2CAddress(0x3C*2);
  u8g2.begin();
  item = 0;
  pinMode(2, INPUT);
  rgb_ruilong_5.begin();
  u8g2.enableUTF8Print();

}

void loop(){
  if (!digitalRead(2)) {
    delay(10);
    if (!digitalRead(2)) {
      for (int i = 1; i <= 4; i = i + (1)) {
        rgb_ruilong_5.setPixelColor(i-1, 0,0,0);
        rgb_ruilong_5.show();
      }
      for (int i = 1; i <= 4; i = i + (1)) {
        if (i == 1) {
          rgb_ruilong_5.setPixelColor(1-1, 255,0,0);
          rgb_ruilong_5.show();
          rgb_ruilong_5.setPixelColor(4-1, 0,0,0);
          rgb_ruilong_5.show();

        } else {
          rgb_ruilong_5.setPixelColor(i-1, 255,0,0);
          rgb_ruilong_5.show();
          rgb_ruilong_5.setPixelColor((i - 1)-1, 255,0,0);
          rgb_ruilong_5.show();

        }
        delay(100);
      }
      for (int i = 1; i <= 4; i = i + (1)) {
        rgb_ruilong_5.setPixelColor(i-1, 0,0,0);
        rgb_ruilong_5.show();
      }
      item = random(1, 5);
      rgb_ruilong_5.setPixelColor(item-1, 255,0,0);
      rgb_ruilong_5.show();
      if (item == 1) {
        u8g2.firstPage();
        do
        {
          page1();
        }while(u8g2.nextPage());

      } else if (item == 2) {
        u8g2.firstPage();
        do
        {
          page2();
        }while(u8g2.nextPage());
      } else if (item == 3) {
        u8g2.firstPage();
        do
        {
          page3();
        }while(u8g2.nextPage());
      } else if (item == 4) {
        u8g2.firstPage();
        do
        {
          page4();
        }while(u8g2.nextPage());
      }

    }
    do{
    }while((!digitalRead(2)));

  }

}