
#include <IRremote.h>

volatile int sudu;
long ir_item;
IRrecv irrecv_5(5);
decode_results results_5;

void setup(){
  sudu = 0;
  Serial.begin(9600);
  pinMode(6, OUTPUT);
  irrecv_5.enableIRIn();
}

void loop(){
  if (irrecv_5.decode(&results_5)) {
    ir_item=results_5.value;
    String type="UNKNOWN";
    String typelist[18]={"UNUSED", "RC5", "RC6", "NEC", "SONY", "PANASONIC", "JVC", "SAMSUNG", "WHYNTER", "AIWA_RC_T501", "LG", "SANYO", "MITSUBISHI", "DISH", "SHARP", "DENON", "PRONTO", "LEGO_PF"};
    if(results_5.decode_type>=1&&results_5.decode_type<=17){
      type=typelist[results_5.decode_type];
    }
    Serial.println("IR TYPE:"+type+"  ");
    Serial.print(ir_item,HEX);
    if (ir_item == 0xffa857) {
      digitalWrite(6,(!digitalRead(6)));
      sudu = digitalRead(6) * 128;

    }
    analogWrite(6,sudu);
    if (ir_item == 0xffe01f) {
      sudu = constrain(sudu - 100, 0, 255);
      analogWrite(6,sudu);

    }
    if (ir_item == 0xff906f) {
      sudu = constrain(sudu + 100, 0, 255);
      analogWrite(6,sudu);

    }
    irrecv_5.resume();
  } else {
  }

}