
#include <U8g2lib.h>
#include <Wire.h>

U8G2_SSD1306_128X64_NONAME_1_HW_I2C u8g2(U8G2_R0, U8X8_PIN_NONE);
//字体：华文黑体  字号：16px  显示文字：伟大的一天
/*
----------------------------------------------------------------------------------------------------------------------------------------------------------------
|        0         0                           0                       0           0                                                                           |
|        0         0                           0                       0           0                                                 0 0 0 0 0 0 0 0 0 0 0     |
|        0         0                           0                     0             0                                                           0               |
|      0   0 0 0 0 0 0 0 0 0 0                 0                   0 0 0 0 0 0     0 0 0 0 0                                                   0               |
|      0           0                           0                   0         0   0         0                                                   0               |
|    0 0           0             0 0 0 0 0 0 0 0 0 0 0 0 0 0 0     0         0   0         0                                                   0               |
|    0 0     0 0 0 0 0 0 0 0                   0                   0         0 0           0                                     0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 |
|  0   0           0                           0                   0         0     0       0     0 0 0 0 0 0 0 0 0 0 0 0 0 0 0                 0               |
|0     0           0                         0   0                 0 0 0 0 0 0       0     0                                                 0   0             |
|      0   0 0 0 0 0 0 0 0 0 0               0   0                 0         0       0     0                                                 0   0             |
|      0           0         0             0       0               0         0             0                                               0       0           |
|      0           0         0             0       0               0         0             0                                               0       0           |
|      0           0     0   0           0           0             0         0             0                                             0           0         |
|      0           0       0           0               0           0 0 0 0 0 0             0                                           0               0       |
|      0           0                 0                   0         0         0       0   0                                           0                   0     |
|      0           0             0 0                       0 0                         0                                         0 0                       0 0 |
----------------------------------------------------------------------------------------------------------------------------------------------------------------
*/
static const unsigned char PROGMEM zhongwen[160] = {0x10,0x02,0x80,0x00,0x08,0x02,0x00,0x00,0x00,0x00,0x10,0x02,0x80,0x00,0x08,0x02,0x00,0x00,0xFC,0x1F,0x10,0x02,0x80,0x00,0x04,0x02,0x00,0x00,0x80,0x00,0xE8,0x7F,0x80,0x00,0x7E,0x3E,0x00,0x00,0x80,0x00,0x08,0x02,0x80,0x00,0x42,0x21,0x00,0x00,0x80,0x00,0x0C,0x02,0xFF,0x7F,0x42,0x21,0x00,0x00,0x80,0x00,0xCC,0x3F,0x80,0x00,0xC2,0x20,0x00,0x00,0xFF,0x7F,0x0A,0x02,0x80,0x00,0x42,0x22,0xFF,0x7F,0x80,0x00,0x09,0x02,0x40,0x01,0x7E,0x24,0x00,0x00,0x40,0x01,0xE8,0x7F,0x40,0x01,0x42,0x24,0x00,0x00,0x40,0x01,0x08,0x42,0x20,0x02,0x42,0x20,0x00,0x00,0x20,0x02,0x08,0x42,0x20,0x02,0x42,0x20,0x00,0x00,0x20,0x02,0x08,0x52,0x10,0x04,0x42,0x20,0x00,0x00,0x10,0x04,0x08,0x22,0x08,0x08,0x7E,0x20,0x00,0x00,0x08,0x08,0x08,0x02,0x04,0x10,0x42,0x14,0x00,0x00,0x04,0x10,0x08,0x02,0x03,0x60,0x00,0x08,0x00,0x00,0x03,0x60};

void page1() {
  u8g2.setFont(u8g2_font_timR12_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(20,20);
  u8g2.print("Great day");
  u8g2.drawRFrame(1,1,124,62,10);
  u8g2.drawXBMP(20, 40, 80, 16, zhongwen);
}

void setup(){
  u8g2.setI2CAddress(0x3C*2);
  u8g2.begin();
  u8g2.enableUTF8Print();

}

void loop(){
  u8g2.firstPage();
  do
  {
    page1();
  }while(u8g2.nextPage());

}