
#include <U8g2lib.h>
#include <Wire.h>

U8G2_SSD1306_128X64_NONAME_1_HW_I2C u8g2(U8G2_R0, U8X8_PIN_NONE);

void page1() {
  u8g2.drawRFrame(1,1,124,62,10);
  u8g2.drawCircle(64,32,10,U8G2_DRAW_ALL);
  u8g2.drawCircle(38,32,10,U8G2_DRAW_ALL);
  u8g2.drawCircle(90,32,10,U8G2_DRAW_ALL);
  u8g2.drawCircle(51,42,10,U8G2_DRAW_ALL);
  u8g2.drawCircle(77,42,10,U8G2_DRAW_ALL);
}

void setup(){
  u8g2.setI2CAddress(0x3C*2);
  u8g2.begin();
}

void loop(){
  u8g2.firstPage();
  do
  {
    page1();
  }while(u8g2.nextPage());

}